=== source/Commands/Makefile ===
##===- source/Commands/Makefile ----------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##

LLDB_LEVEL := ../..
LIBRARYNAME := lldbCommands
BUILD_ARCHIVE = 1

include $(LLDB_LEVEL)/Makefile
